Subject: Re: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text inside emacs and then middle clicking outside of Emacs

From: "Abraham S.A.H." <[email-masked]>
Date: Sun, 21 Apr 2024 01:18:22 +0200 (CEST)

Hello;

I have wiped out everything of my system and installed just Xfce4 
and sway (for testing Emacs PGTK).

By wiping out, I mean formatting my entire disk, then repartitioning and
reinstallation of my new desktops and neccessary applications.

The problem still persists. I include the result of 
report-emacs-bug with this new system with this email.

One reason for me replying late is that I have to uninstall emacs-lucid 
and reinstall emacs-wayland and switch to a wayland desktop, each time 
that I want to test it. However, this time I was also busy with some other
works. 

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffeda006c0 (LWP 12909)]
[New Thread 0x7fffe7e006c0 (LWP 12910)]
[New Thread 0x7fffed0006c0 (LWP 12911)]
[New Thread 0x7fffe74006c0 (LWP 12912)]
[New Thread 0x7fffe6a006c0 (LWP 12913)]
[Detaching after vfork from child process 12932]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
pgtk_handle_selection_request (event=0x7fffffffba80) at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:573
warning: 573    /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c: No such file or directory
(gdb) thread apply all bt

Thread 7 (Thread 0x7fffe54006c0 (LWP 12916) "emacs"):
#0  0x00007ffff37233cd in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6fc8487 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff6f38454 in ??? () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff6f384bc in g_async_queue_pop () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff5ca8c08 in ??? () at /usr/lib/libpangoft2-1.0.so.0
#5  0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#6  0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#7  0x00007ffff3725cfc in ??? () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fffe6a006c0 (LWP 12913) "dconf worker"):
#0  0x00007ffff371878f in poll () at /usr/lib/libc.so.6
#1  0x00007ffff6fcd306 in ??? () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff6f6d712 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007fffee02e49e in ??? () at /usr/lib/gio/modules/libdconfsettings.so
#4  0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6  0x00007ffff3725cfc in ??? () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffe74006c0 (LWP 12912) "gdbus"):
#0  0x00007ffff371878f in poll () at /usr/lib/libc.so.6
#1  0x00007ffff6fcd306 in ??? () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff6f6edc7 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff71ca83c in ??? () at /usr/lib/libgio-2.0.so.0
#4  0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6  0x00007ffff3725cfc in ??? () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fffed0006c0 (LWP 12911) "pool-emacs"):
#0  0x00007ffff37233cd in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6fc8e43 in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff6f38425 in ??? () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff6f38587 in g_async_queue_timeout_pop () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff6fa1a5e in ??? () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#6  0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#7  0x00007ffff3725cfc in ??? () at /usr/lib/libc.so.6
--Type <RET> for more, q to quit, c to continue without paging--c

Thread 3 (Thread 0x7fffe7e006c0 (LWP 12910) "gmain"):
#0  0x00007ffff371878f in poll () at /usr/lib/libc.so.6
#1  0x00007ffff6fcd306 in ??? () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff6f6d712 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff6f6d762 in ??? () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6  0x00007ffff3725cfc in ??? () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fffeda006c0 (LWP 12909) "pool-spawner"):
#0  0x00007ffff37233cd in syscall () at /usr/lib/libc.so.6
#1  0x00007ffff6fc8487 in g_cond_wait () at /usr/lib/libglib-2.0.so.0
#2  0x00007ffff6f38454 in ??? () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff6f9d29e in ??? () at /usr/lib/libglib-2.0.so.0
#4  0x00007ffff6f9c065 in ??? () at /usr/lib/libglib-2.0.so.0
#5  0x00007ffff369ab9d in ??? () at /usr/lib/libc.so.6
#6  0x00007ffff3725cfc in ??? () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7ffff20db080 (LWP 12897) "emacs"):
#0  pgtk_handle_selection_request (event=0x7fffffffba80) at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:573
#1  0x00005555556fbc8d in pgtk_handle_selection_event (event=0x7fffffffba80) at /usr/src/debug/emacs/emacs-29.3-wayland/src/pgtkselect.c:784
#2  process_special_events () at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:4449
#3  0x00005555556fcd91 in swallow_events (do_display=true) at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:4489
#4  0x0000555555831607 in wait_reading_process_output (time_limit=<optimized out>, nsecs=<optimized out>, read_kbd=<optimized out>, do_display=<optimized out>, wait_for_cell=<optimized out>, wait_proc=<optimized out>, just_wait_proc=<optimized out>) at /usr/src/debug/emacs/emacs-29.3-wayland/src/process.c:5788
#5  0x00005555555eea46 in sit_for (timeout=<optimized out>, reading=<optimized out>, display_option=<optimized out>) at /usr/src/debug/emacs/emacs-29.3-wayland/src/dispnew.c:6264
#6  0x0000555555705551 in read_char (commandflag=1, map=0x555556e5e753, prev_event=0x0, used_mouse_menu=0x7fffffffc5ab, end_time=0x0) at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:2881
#7  0x00005555558d7de7 in read_key_sequence.constprop.0 (keybuf=<optimized out>, prevent_redisplay=false, fix_current_buffer=<optimized out>, can_return_switch_frame=<optimized out>, dont_downcase_last=<optimized out>, prompt=<optimized out>) at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:10084
#8  0x00005555556f50f4 in command_loop_1 () at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:1384
#9  0x00005555557b50df in internal_condition_case (bfun=0x5555556f4e20 <command_loop_1>, handlers=<optimized out>, hfun=0x5555556f2890 <cmd_error>) at /usr/src/debug/emacs/emacs-29.3-wayland/src/eval.c:1474
#10 0x00005555556f2b6e in command_loop_2 (handlers=handlers@entry=0x90) at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:1133
#11 0x00005555557b5035 in internal_catch (tag=<optimized out>, func=0x5555556f2b40 <command_loop_2>, arg=0x90) at /usr/src/debug/emacs/emacs-29.3-wayland/src/eval.c:1197
#12 0x00005555556f48f9 in command_loop () at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:1111
#13 0x000055555590ceb0 in recursive_edit_1.isra.0 () at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:720
#14 0x00005555556f4e00 in Frecursive_edit () at /usr/src/debug/emacs/emacs-29.3-wayland/src/keyboard.c:803
#15 0x00005555556fa777 in main (argc=<optimized out>, argv=0x7fffffffccb8) at /usr/src/debug/emacs/emacs-29.3-wayland/src/emacs.c:2521
(gdb) p *(struct selection_input_event *) event
$1 = {kind = SELECTION_REQUEST_EVENT, dpyinfo = 0x56267e20, requestor = 0x5555563c4330, selection = 0x1, target = 0x4d, property = 0x5e, time = 0}
(gdb) p *$1->dpyinfo
Cannot access memory at address 0x56267e20
(gdb) p *$1->requestor
$2 = <incomplete type>
(gdb) k
Kill the program being debugged? (y or n) y                                                                                                                   [Inferior 1 (process 12897) killed]
(gdb) q
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In GNU Emacs 29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41,
cairo version 1.18.0)
Repository revision: c7d7995e4fcbee3cba1018595623bc21174526d4
Repository branch: HEAD
System Description: Arch Linux

Configured using:
'configure --with-pgtk --with-native-compilation=aot --sysconfdir=/etc
--prefix=/usr --libexecdir=/usr/lib --with-tree-sitter
--localstatedir=/var --with-cairo --disable-build-details
--with-harfbuzz --with-libsystemd --with-modules
'CFLAGS=-march=x86-64-v3 -mtune=haswell -O3 -pipe -fno-plt -fexceptions
-mpclmul -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security
-fstack-clash-protection -fcf-protection -g1
-ffile-prefix-map=/startdir/src=/usr/src/debug/emacs -flto=auto
-falign-functions=32' 'LDFLAGS=-Wl,-O1 -Wl,--sort-common
-Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,pack-relative-relocs
-flto=auto -falign-functions=32' 'CXXFLAGS=-march=x86-64-v3
-mtune=haswell -O3 -pipe -fno-plt -fexceptions -mpclmul
-Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security
-fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -g1
-ffile-prefix-map=/startdir/src=/usr/src/debug/emacs -flto=auto
-falign-functions=32''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY
PDUMPER PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM GTK3 ZLIB

Important settings:
  value of $LC_COLLATE: en_GB.UTF-8
  value of $LC_CTYPE: en_GB.UTF-8
  value of $LC_MESSAGES: en_GB.UTF-8
  value of $LC_MONETARY: fa_IR.UTF-8
  value of $LC_NUMERIC: en_GB.UTF-8
  value of $LC_TIME: en_DK.UTF-8
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
comp comp-cstr warnings icons subr-x rx cl-seq cl-macs gv cl-extra
help-mode bytecomp byte-compile cl-lib sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils rmc iso-transl tooltip cconv
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/pgtk-win pgtk-win term/common-win pgtk-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice seq
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs theme-loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
gtk pgtk lcms2 multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 77621 5947)
(symbols 48 7115 0)
(strings 32 19777 2419)
(string-bytes 1 600739)
(vectors 16 15780)
(vector-slots 8 329652 14853)
(floats 8 28 46)
(intervals 56 290 0)
(buffers 984 12))

--
Best Regards,
Abraham
Sent with Tutanota; https://tuta.com